class EntrezQueries:
  """
    Encapsulates a set of predefined Entrez query strings.
    Instantiating or calling this class returns the full list of queries."""
  def __init__(self):
    # Predefined Entrez‐style queries for DNA database construction
    self.queries = [
      "BRCA1[Gene] AND Homo sapiens[Organism]",
      "TP53[Gene] AND Homo sapiens[Organism]",
      "CFTR[Gene] AND Homo sapiens[Organism]",
      "G6PD[Gene] AND Homo sapiens[Organism]",
      "MTHFR[Gene] AND Homo sapiens[Organism]",
      "HBB[Gene] AND Homo sapiens[Organism]",
      "PAH[Gene] AND Homo sapiens[Organism]",
      "MT-CO1[Gene] AND Homo sapiens[Organism]",
      "COX3[Gene] AND Mus musculus[Organism]",
      "BRCA2[Gene] AND Mus musculus[Organism]",
      "SOD1[Gene] AND Mus musculus[Organism]",
      "CFTR[Gene] AND Pan troglodytes[Organism]",
      "hemoglobin[Gene] AND Gallus gallus[Organism]",
      "cytochrome b[Gene] AND Drosophila melanogaster[Organism]",
      "ribosomal protein L3[Gene] AND Saccharomyces cerevisiae[Organism]",
      "recA[Gene] AND Escherichia coli[Organism]",
      "rpoB[Gene] AND Mycobacterium tuberculosis[Organism]",
      "16S rRNA[Gene] AND Streptomyces coelicolor[Organism]",
      "COI[Gene] AND Danio rerio[Organism]",
      "PSEN1[Gene] AND Homo sapiens[Organism]",
      "KRAS[Gene] AND Homo sapiens[Organism]",
      "EGFR[Gene] AND Homo sapiens[Organism]",
      "PDGFRA[Gene] AND Rattus norvegicus[Organism]",
      "rbcL[Gene] AND Arabidopsis thaliana[Organism]",
      "chlorophyll a/b binding protein[Gene] AND Oryza sativa[Organism]",
      "ACTB[Gene] AND Homo sapiens[Organism]",
      "MYC[Gene] AND Homo sapiens[Organism]",
      "FBN1[Gene] AND Homo sapiens[Organism]",
      "COL1A1[Gene] AND Homo sapiens[Organism]",
      "VHL[Gene] AND Homo sapiens[Organism]",
      "TTR[Gene] AND Homo sapiens[Organism]",
      "ATP7B[Gene] AND Homo sapiens[Organism]",
      "MLH1[Gene] AND Homo sapiens[Organism]",
      "APOE[Gene] AND Homo sapiens[Organism]",
      "HTT[Gene] AND Homo sapiens[Organism]",
      "ABCC6[Gene] AND Homo sapiens[Organism]",
      "CDKN2A[Gene] AND Homo sapiens[Organism]",
      "PAX6[Gene] AND Homo sapiens[Organism]",
      "SCN1A[Gene] AND Homo sapiens[Organism]",
      "MECP2[Gene] AND Homo sapiens[Organism]",
      "NOD2[Gene] AND Homo sapiens[Organism]",
      "ALB[Gene] AND Homo sapiens[Organism]",
      "INS[Gene] AND Homo sapiens[Organism]",
      "HLA-DQA1[Gene] AND Homo sapiens[Organism]",
      "TNF[Gene] AND Homo sapiens[Organism]",
      "FOXP2[Gene] AND Homo sapiens[Organism]",
      "CLOCK[Gene] AND Homo sapiens[Organism]",
      "CYP2D6[Gene] AND Homo sapiens[Organism]",
      "NR3C1[Gene] AND Homo sapiens[Organism]",
      "LCT[Gene] AND Homo sapiens[Organism]",
      "MEL1A[Gene] AND Homo sapiens[Organism]",
      "ACE2[Gene] AND Homo sapiens[Organism]",
      "SLC6A4[Gene] AND Homo sapiens[Organism]",
      "OXTR[Gene] AND Homo sapiens[Organism]",
      "TAS2R38[Gene] AND Homo sapiens[Organism]",
      "HNF4A[Gene] AND Homo sapiens[Organism]",
      "SHH[Gene] AND Mus musculus[Organism]",
      "OPN1LW[Gene] AND Homo sapiens[Organism]",
      "MYH7[Gene] AND Homo sapiens[Organism]",
      "TUBA1A[Gene] AND Homo sapiens[Organism]"
    ]

  def __call__(self):  return self.queries
  def __iter__(self):  return iter(self.queries)